package org.ow2.wildcat.examples.sensors;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.HashMap;
import java.util.Map;

import org.ow2.wildcat.hierarchy.attribute.POJOAttribute;


public class IPSensor extends POJOAttribute {
	public IPSensor() {
		super(null);
	}

	@Override
	public Object getValue() {
		Map<String, Object> m = new HashMap<String, Object>();
		InetAddress localhost;
		try {
			localhost = InetAddress.getLocalHost();
			m.put("HostName", localhost.getHostName());
			m.put("HostAddress", localhost.getHostAddress());
		} catch (UnknownHostException e) {
			return null;
		}
		return m;
	}
}